Debian Bug report logs - #498666
debhelper: please set an empty value for misc:Depends when not defined (was: Re: another patch/tag)

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Raphael Geissert <atomo64+debian@gmail.com>

Date: Fri, 12 Sep 2008 02:03:01 UTC

Severity: wishlist

Found in version debhelper/7.0.17

Fixed in version debhelper/7.1.0

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#498666; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <atomo64+debian@gmail.com>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64+debian@gmail.com>
To: submit@bugs.debian.org
Subject: debhelper: please set an empty value for misc:Depends when not defined (was: Re: another patch/tag)
Date: Thu, 11 Sep 2008 20:56:44 -0500
Package: debhelper
Severity: wishlist
Version: 7.0.17

Hi Joey,

Sorry for the large reference, but hope it is useful.

Frank Lichtenheld wrote:

> On Thu, Sep 11, 2008 at 03:31:06PM -0700, Russ Allbery wrote:
>> Frank Lichtenheld <djpig-8fiUuRrzOP0dnm+yROfE0A@public.gmane.org> writes:
>> 
>> > I like the general idea of this tag. But given the fact that only
>> > rarely used debhelper commands actually use misc:Depends I would either
>> > first check if the program actually uses those and only then issue the
>> > tag or would go for info for now and discuss this on debian-devel first
>> > before making it a warning.
>> 
>> I'd also get a lot of warnings from this since I usually only list
>> misc:Depends for the packages that actually need it, but there's no
>> simple way of telling which binary packages would pick up misc:Depends.
>> 
>> Unfortunately, listing it without having anything use it results in a
>> warning during the package build, so a lot of people fix the warning by
>> removing it (understandably).
> 
> Right, I thought of that, too but then forgot to mention it in the mail.
> This should probably be changed in dpkg-dev or debhelper before making
> this a warning (e.g. by always defining misc:Depends to the empty string
> if it is not used).

I don't believe dpkg-dev should do anything about it (in any case it should
better just don't warn at all), dh_gencontrol could check for the presence
of misc:Depends in the substvars file before calling dpkg-gencontrol and
add an empty value.

> 
> Gruesse,

Cheers,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#498666; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 498666@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: control@bugs.debian.org
Cc: 498666@bugs.debian.org
Subject: setting package to debhelper, tagging 498666
Date: Fri, 12 Sep 2008 14:19:33 -0400
# Automatically generated email from bts, devscripts version 2.10.35
# via tagpending 
#
# debhelper (7.0.18) UNRELEASED; urgency=low
#
#  * dh_gencontrol: Ensure misc:Depends is set in substvars to avoid dpkg
#    complaining about it when it's empty. Closes: #498666
#

package debhelper
tags 498666 + pending





Tags added: pending Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 12 Sep 2008 18:21:06 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Tue, 21 Oct 2008 19:21:15 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64+debian@gmail.com>:
Bug acknowledged by developer. (Tue, 21 Oct 2008 19:21:15 GMT) Full text and rfc822 format available.

Message #17 received at 498666-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 498666-close@bugs.debian.org
Subject: Bug#498666: fixed in debhelper 7.1.0
Date: Tue, 21 Oct 2008 19:17:02 +0000
Source: debhelper
Source-Version: 7.1.0

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_7.1.0.dsc
  to pool/main/d/debhelper/debhelper_7.1.0.dsc
debhelper_7.1.0.tar.gz
  to pool/main/d/debhelper/debhelper_7.1.0.tar.gz
debhelper_7.1.0_all.deb
  to pool/main/d/debhelper/debhelper_7.1.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498666@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Sep 2008 13:58:00 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 7.1.0
Distribution: experimental
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 370823 498460 498666 500836
Changes: 
 debhelper (7.1.0) experimental; urgency=low
 .
   * dh_installchangelogs: Fall back to looking for changelog files ending
     with ".txt". Closes: #498460
   * dh_gencontrol: Ensure misc:Depends is set in substvars to avoid dpkg
     complaining about it when it's empty. Closes: #498666
   * dh: Fix typo in example. Closes: #500836
   * Allow individual debhelper programs to define their own special options
     by passing a hash to init(), which is later passed on the Getopt::Long.
     Closes: #370823
   * Move many command-specific options to only be accepted by the command
     that uses them. Affected options are:
     -x, -r, -R, -l, -L, -m,
     --include-conffiles, --no-restart-on-upgrade, --no-start,
     --restart-after-upgrade, --init-script, --filename, --flavor, --autodest,
     --libpackage, --add-udeb, --dpkg-shlibdeps-params,
     --dpkg-gencontrol-params, --update-rcd-params, --major, --remove-d,
     --dirs-only, --keep-debug, --version-info, --list-missing, --fail-missing,
     --language, --until, --after, --before, --remaining, --with
   * If any third-party debhelper commands use any of the above options,
     they will be broken, and need to be changed to pass options to init().
   * To avoid breaking rules files that pass options to commands that do not
     use them, debhelper will now only warn if it encounters an unknown
     option. This will be converted back to an error later.
Checksums-Sha1: 
 b00d60539fe3bef40b87a3e28f6a15e43f586f8d 834 debhelper_7.1.0.dsc
 c81eab0aab9b41fe950f61e9a868392fbfb442f3 294158 debhelper_7.1.0.tar.gz
 4846ce2ccaacecc2130eeffe0e0bd68db4ccab5a 548668 debhelper_7.1.0_all.deb
Checksums-Sha256: 
 2ea6e31f359fc75635b39e5339d609b9674a92ad87d78b047482aaf5fe85757a 834 debhelper_7.1.0.dsc
 befe5e47595a201e30e34ad61c9061dec293863bb001eecacd551a8050a0f046 294158 debhelper_7.1.0.tar.gz
 f27b5cad7425d641b4348a8a7c0982c195781592b10b75222973ed0fbf7751f2 548668 debhelper_7.1.0_all.deb
Files: 
 aef5c0df28710abd6863150e438f0146 834 devel optional debhelper_7.1.0.dsc
 b39255e14d5d2d9c631e1b6ab56f957a 294158 devel optional debhelper_7.1.0.tar.gz
 bf26b1c45c49b1bc7bfcbcae063d56e8 548668 devel optional debhelper_7.1.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI/iau2tp5zXiKP0wRArjwAKCEPDJoQA2Io/7UOhZOmg/A2wGOmwCeJfMB
5jSDJ0Szr981YDmQYfDzQgU=
=nY9O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Apr 2009 07:32:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:01:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.